Subject: Honeybee Mailing List- other info sources

From: [email-masked] (Adam Finkelstein)
Date: Tue, 29 Jun 1993 11:24:06 GMT

Last article was  flubbed: 
A good source of bee info is available from the PenPages at Penn State.
telnet: psupen.psu.edu. Log-in as your state abb. (I would type VA)
look for the "Bee Aware" newsletter.

I am also available to answer bee questions and search for bee info.
I deal with both commercial and hobby beekeepers and have my account to
help bee folks in anyway I can, so let me know!
Adam
Adam Finkelstein
VDACS Apiary Inspector
116 Reservoir St.
Harrisonburg, VA 22801
703-433-1006
[email-masked]